- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends

# QPicture Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qpicture.h.

`#include <qpicture.h>`

Inheritance diagram for QPicture:
[legend]

List of all members.

## Public Types
typedef QExplicitlySharedDataPointer < QPicturePrivate > | DataPtr
## Public Member Functions
| QPicture (int formatVersion=-1)
| QPicture (const QPicture &)
| ~QPicture ()
bool | isNull () const
int | devType () const
uint | size () const
const char * | data () const
virtual void | setData (const char *data, uint size)
bool | play (QPainter *p)
bool | load (QIODevice *dev, const char *format=0)
bool | load (const QString &fileName, const char *format=0)
bool | save (QIODevice *dev, const char *format=0)
bool | save (const QString &fileName, const char *format=0)
QRect | boundingRect () const
void | setBoundingRect (const QRect &r)
QPicture & | operator= (const QPicture &p)
void | detach ()
bool | isDetached () const
QPaintEngine * | paintEngine () const
DataPtr & | data_ptr ()
## Static Public Member Functions
static const char * | pictureFormat (const QString &fileName)
static QList< QByteArray > | inputFormats ()
static QList< QByteArray > | outputFormats ()
static QStringList | inputFormatList ()
static QStringList | outputFormatList ()
## Protected Member Functions
| QPicture (QPicturePrivate &data)
int | metric (PaintDeviceMetric m) const
## Friends
class | QPicturePaintEngine
class | Q3Picture
class | QAlphaPaintEngine
class | QPreviewPaintEngine
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &in, const QPicture &p)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &in, QPicture &p)

## Member Typedef Documentation

typedef QExplicitlySharedDataPointer<QPicturePrivate> DataPtr

Search for all occurrences

Definition at line 117 of file qpicture.h.

## Constructor & Destructor Documentation

QPicture | ( | int | formatVersion = `-1` | ) | `[explicit]`

QPicture | ( | const QPicture & |  | ) |

~QPicture | ( |  | ) |

QPicture | ( | QPicturePrivate & | data | ) | `[protected]`

## Member Function Documentation

bool isNull | ( |  | ) | const

Search for all occurrences

int devType | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

uint size | ( |  | ) | const

Search for all occurrences

const char* data | ( |  | ) | const

Search for all occurrences

virtual void setData | ( | const char * | data,
|  | uint | size
| ) |  | `[virtual]`

Search for all occurrences

bool play | ( | QPainter * | p | ) |

Search for all occurrences

bool load | ( | QIODevice * | dev,
|  | const char * | format = `0`
| ) |  |

Search for all occurrences

bool load | ( | const QString & | fileName,
|  | const char * | format = `0`
| ) |  |

Search for all occurrences

bool save | ( | QIODevice * | dev,
|  | const char * | format = `0`
| ) |  |

Search for all occurrences

bool save | ( | const QString & | fileName,
|  | const char * | format = `0`
| ) |  |

Search for all occurrences

QRect boundingRect | ( |  | ) | const

Search for all occurrences

void setBoundingRect | ( | const QRect & | r | ) |

Search for all occurrences

QPicture& operator= | ( | const QPicture & | p | ) |

void detach | ( |  | ) |

Search for all occurrences

bool isDetached | ( |  | ) | const

Search for all occurrences

static const char* pictureFormat | ( | const QString & | fileName | ) | `[static]`

Search for all occurrences

static QList<QByteArray> inputFormats | ( |  | ) | `[static]`

Search for all occurrences

static QList<QByteArray> outputFormats | ( |  | ) | `[static]`

Search for all occurrences

static QStringList inputFormatList | ( |  | ) | `[static]`

Search for all occurrences

static QStringList outputFormatList | ( |  | ) | `[static]`

Search for all occurrences

QPaintEngine* paintEngine | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QPaintDevice.

int metric | ( | PaintDeviceMetric | m | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

DataPtr& data_ptr | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 118 of file qpicture.h.

    { return d_ptr; }

## Friends And Related Function Documentation

friend class QPicturePaintEngine `[friend]`

Search for all occurrences

Definition at line 111 of file qpicture.h.

friend class Q3Picture `[friend]`

Search for all occurrences

Definition at line 112 of file qpicture.h.

friend class QAlphaPaintEngine `[friend]`

Search for all occurrences

Definition at line 113 of file qpicture.h.

friend class QPreviewPaintEngine `[friend]`

Search for all occurrences

Definition at line 114 of file qpicture.h.

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | in,
|  | const QPicture & | p
| ) |  | `[friend]`

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | in,
|  | QPicture & | p
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtGui/qpicture.h

QPicture QPicture QPicture QPicture QPicture QPicture QPicture QPicture QPicture QPicture
QPicture QPicture QPicture QPicture QPicture QPicture QPicture QPicture QPicture QPicture